Purchase OIOpublisher now for just $47.

Take control of your ad space.

Click here to purchase

    • CommentAuthorcybermage
    • CommentTimeJul 16th 2008
     

    am i the only one that is have the new version of wordpress messing up the plugin? i get a very long error code

    Need help?  Quick start guide | Troubleshooting | All help topics
    • CommentAuthorSimon
    • CommentTimeJul 16th 2008 edited
     
    Project Admin

    What was the error code, and where did it occur? (ie. in admin area, blog itself, or everywhere)

    I did upgrade my own blog yesterday to 2.6 (and has the plugin running), but no errors so far.

    Need help?  Quick start guide | Troubleshooting | All help topics
    • CommentAuthorcalliejo
    • CommentTimeJul 16th 2008
     

    Warning: unserialize() expects parameter 1 to be string, array given in /home/myfolder/public_html/wp-content/plugins/direct/include/settings.php on line 133

    I get one too. Both in admin and on the blog.

    Need help?  Quick start guide | Troubleshooting | All help topics
    • CommentAuthorcalliejo
    • CommentTimeJul 16th 2008
     

    I've deactivated the plugin to get the error off my blog.

    Does anyone have any suggestions on how to fix this error?

    Need help?  Quick start guide | Troubleshooting | All help topics
    • CommentAuthorSimon
    • CommentTimeJul 16th 2008
     
    Project Admin

    This only occurred after upgrading to WP 2.6, without upgrading / changing the plugin?

    The error described relates to the banner defaults section (see Settings -> Banners). Do you have any default banners running, and if so, what happens if you try re-saving those settings?

    Need help?  Quick start guide | Troubleshooting | All help topics
    • CommentAuthorcalliejo
    • CommentTimeJul 16th 2008
     

    Ah ha! When I change "Default Ads Display Method:" to "fill in the gaps" the error message goes away.

    I just sent a message in the contact form here with the issues I have. Including this one. The above solves the issue.

    Thanks*

    Need help?  Quick start guide | Troubleshooting | All help topics
    • CommentAuthorSimon
    • CommentTimeJul 16th 2008
     
    Project Admin

    Just added a fix to the download for the "Warning: unserialize()" error. Re-downloading the plugin and uploading the admin / include folders once more should fix it (let me know if it doesn't).

    @cybermage - if the error you experienced is the same as calliejo's then follow the instructions above. If not, I'll need to know more about what the error is and where it appears.

    Need help?  Quick start guide | Troubleshooting | All help topics
    • CommentAuthorcalliejo
    • CommentTimeJul 17th 2008 edited
     

    Thanks, it fixed it and I added some default banners with no issues now.

    You rock!

    Need help?  Quick start guide | Troubleshooting | All help topics
    • CommentAuthoronlineravi
    • CommentTimeJul 17th 2008
     

    Hi, Simon I am having a problem with WP 2.6 I did a clean install , did not upgrade and then installed your plugin and when I look into admin panel I get this error

    Fatal error: Cannot use string offset as an array in /path to blog/wp-content/plugins/jcads/admin/banners.php on line 275

    This is same in blog and admin panel.

    Hope that you can fix it.

    Need help?  Quick start guide | Troubleshooting | All help topics
    • CommentAuthorSimon
    • CommentTimeJul 17th 2008 edited
     
    Project Admin

    It should now be fixed. If you could re-download the entire plugin and perform a fresh install on WP 2.6 once more that would be great.

    If all goes well, this will most likely prompt a final bug fix release (1.62) before 2.00b is released for a beta program.

    Need help?  Quick start guide | Troubleshooting | All help topics
    • CommentAuthoronlineravi
    • CommentTimeJul 18th 2008
     

    Hey, Simon that worked . Thanks .

    Need help?  Quick start guide | Troubleshooting | All help topics